Subject: RFC 4360 issue

From: Alfred Hönes <[email-masked]>
Date: Mon, 27 Feb 2006 15:11:59 +0100 (MEZ)

Hello,
reading the recently published RFC 4360 authored by you I found
an inconsistency (or logical gap) that should be resolved:

Section 3.1. defines the Extended Community extended type classes
0x00ss and 0x40ss, as does Section 3.2. for the type classes 0x01ss
and 0x41ss, and Section 3.3. for the type classes 0x03ss and 0x43ss
(where 'ss' is the Sub-Type).
These classes are also covered by the IANA Considerations section.

Section 4. and Section 5. of RFC 4360 both define extended types
where "the value of the high-order octet of the Type field ... can
be 0x00, 0x01, or 0x02".
There is no formal definition for the latter case, Type = 0x02ss,
in the whole RFC, and the subtypes 0x0202 and 0x0203 are not covered
by the IANA considerations section.
>From text in Section 4. and 5., it can be concluded, that perhaps
the layout from Section 3.1. should be applicable in this case as
well, but that's all I could find!

Was type 0x02ss deprecated during the evolution of the draft,
or has the definition of that extended type been ommitted
accidentially from the RFC ????

Please comment!

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+